View Issue Details

IDProjectCategoryView StatusLast Update
14863Bug reports[All Projects] Theme editorpublic2019-09-02 10:42
Reportercdorin Assigned Toeddylackmann  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14863: Extending core theme using the same core theme name
Description

It is possible to extend the core theme and use the same core theme name. Once done, I get multiple duplicates (see screenshot).

I can set up different settings for each core theme.

However, there is only one core theme displayed in the survey theme dropdown list (inside the survey).

Steps To Reproduce

Extend any core theme and use the same theme name.

Additional Information

If you try to extend one of the core themes once more, you will not be allowed, getting the error message that should also be shown in the first case: "Directory with the name vanilla already exists; choose another name"

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

cdorin

cdorin

2019-05-08 14:33

manager  

Selection_141.png (87,926 bytes)
Selection_141.png (87,926 bytes)
cdorin

cdorin

2019-05-08 14:50

manager   ~51834

Apparently, simply resetting the theme makes the duplicated themes not to be displayed any longer.

eddylackmann

eddylackmann

2019-08-27 16:47

developer   ~53304

Fixed in https://github.com/LimeSurvey/LimeSurvey/commit/482cdfa8aec4575ce3ccb2b3fb954def4fefbb28

lime_release_bot

lime_release_bot

2019-09-02 10:42

developer   ~53381

Fixed in Release 3.17.14+190902

Related Changesets

LimeSurvey: master 482cdfa8

2019-08-27 16:40:23

Eddy Lackmann

Details Diff
Fixed issue 14863: Extending core theme using the same core theme name Affected Issues
14863
mod - application/controllers/admin/themes.php Diff File

Issue History

Date Modified Username Field Change
2019-05-08 14:33 cdorin New Issue
2019-05-08 14:33 cdorin Status new => assigned
2019-05-08 14:33 cdorin Assigned To => LouisGac
2019-05-08 14:33 cdorin File Added: Selection_141.png
2019-05-08 14:50 cdorin Note Added: 51834
2019-07-11 15:59 LouisGac Assigned To LouisGac => eddylackmann
2019-08-27 16:47 eddylackmann Status assigned => feedback
2019-08-27 16:47 eddylackmann Note Added: 53304
2019-08-27 16:49 eddylackmann Status feedback => resolved
2019-08-27 16:49 eddylackmann Resolution open => fixed
2019-08-27 16:49 eddylackmann Fixed in Version => 3.17.x
2019-08-30 14:13 c_schmitz Changeset attached => LimeSurvey master 482cdfa8
2019-09-02 10:42 lime_release_bot Note Added: 53381
2019-09-02 10:42 lime_release_bot Status resolved => closed